from datetime import datetime

from tic.shared.dto import Dto
from tic.shared.utils.date_util import (
    utc_now,
)


class CynicAnalysisResult(Dto):
    def __init__(
        self,
        sha256: str = None,
        verdict_time: int = 0,
        verdict: str = None,
        threat_name: str = None,
        task_id: str = None,
        analysis_date: datetime = utc_now(),
    ):
        self.sha256 = sha256
        self.verdict_time: int = verdict_time
        self.verdict: str = verdict
        self.threat_name: str = threat_name
        self.task_id: str = task_id
